Developers

Create customer receipt

2 min read
Try this endpoint live with your API key.
POST
Create customer receipt
Create a manual customer receipt.
https://api.tablelist.com/2025-03/customers/{customerId}/receipts
Authorization
Path Parameters
Header Parameters
Request Body
cURL
curl --request POST \ \
  --url "https://api.tablelist.com/2025-03/customers/{customerId}/receipts"
Response
Run a request to see the response.

Create a manual customer receipt.

  • Method: POST
  • Path: /customers/{customerId}/receipts
  • Operation ID: createCustomerReceipt
  • Tags: Customers

Path Parameters

NameTypeRequiredDescription
customerIdstringYes

Header Parameters

NameTypeRequiredDescription
x-tl-api-keystringYes

Request Body

application/json

Schema: object

FieldTypeRequiredDescription
namestringYesReceipt display name
datestringNoOptional receipt date in UTC
descriptionstringNoOptional notes for this receipt
amountnumberYesReceipt amount in venue currency
orderTypestringNoOrder type
countAsVisitbooleanNoWhen true, this receipt contributes to visit count and visit dates

Responses

201

Updated customer response object.

  • Content-Type: application/json
    • Schema: object
FieldTypeRequiredDescription
namestringNo
emailstringNo
phonestringNo
birthdaystringNo
statsobjectNo
flagsobjectNo
socialobjectNo
marketingOptInbooleanNo
marketingOptInDatestringNo
marketingOptInSignaturestringNo
notesstringNo
tagsarray<string>No
receiptsarray<object>NoCustomer manual receipts

default

unexpected error

  • Content-Type: application/json
    • Schema: object
FieldTypeRequiredDescription
messagestringYes
errorsarray<object>Yes
errorDataobjectNo